# VirusBitFlip< FitT > Class Template Reference

VirusBitFlip --> changes 1 bit. More...

`#include <VirusOp.h>`

Inheritance diagram for VirusBitFlip< FitT >:

List of all members.

## Public Member Functions

virtual std::string | className () const
| The class name.
bool | operator() (eoVirus< FitT > &_chrom)
| Change one bit.

## Detailed Description

### template<class FitT>
class VirusBitFlip< FitT >

VirusBitFlip --> changes 1 bit.

Definition at line 40 of file VirusOp.h.

## Member Function Documentation

template<class FitT>
bool VirusBitFlip< FitT >::operator() | ( | eoVirus< FitT > & | _chrom | ) | `[inline, virtual]`

Change one bit.

Parameters:

  | chrom | The cromosome which one bit is going to be changed.

Implements eoUF< eoVirus< FitT > &, bool >.

Definition at line 49 of file VirusOp.h.

The documentation for this class was generated from the following file:

- VirusOp.h